package com.zhongdao.jlr.pojo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "jlr_coupon_recharge")
public class CouponRechargeJlrPO {

    private Integer id;
    private Integer order_id;
    private Integer task_order_id;
    private String  vin_code;
    private String  seate_name;
    private String  remark;
    private String  service_name;
    private String  electronic_accounts;
    private Float   recharge_count;
    private Float   consume_count;
    private Date    overdue_time;
    private Date    recharge_time;
    private Date    create_time;
    private Date    update_time;

    @Id
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    @Column(name = "order_id")
    public Integer getOrder_id() {
        return order_id;
    }

    public void setOrder_id(Integer order_id) {
        this.order_id = order_id;
    }
    @Column(name = "task_order_id")
    public Integer getTask_order_id() {
        return task_order_id;
    }

    public void setTask_order_id(Integer task_order_id) {
        this.task_order_id = task_order_id;
    }
    @Column(name = "vin_code")
    public String getVin_code() {
        return vin_code;
    }

    public void setVin_code(String vin_code) {
        this.vin_code = vin_code;
    }
    @Column(name = "seate_name")
    public String getSeate_name() {
        return seate_name;
    }

    public void setSeate_name(String seate_name) {
        this.seate_name = seate_name;
    }
    @Column(name = "remark")
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    @Column(name = "service_name")
    public String getService_name() {
        return service_name;
    }

    public void setService_name(String service_name) {
        this.service_name = service_name;
    }
    @Column(name = "electronic_accounts")
    public String getElectronic_accounts() {
        return electronic_accounts;
    }

    public void setElectronic_accounts(String electronic_accounts) {
        this.electronic_accounts = electronic_accounts;
    }
    @Column(name = "recharge_count")
    public Float getRecharge_count() {
        return recharge_count;
    }

    public void setRecharge_count(Float recharge_count) {
        this.recharge_count = recharge_count;
    }
    @Column(name = "consume_count")
    public Float getConsume_count() {
        return consume_count;
    }

    public void setConsume_count(Float consume_count) {
        this.consume_count = consume_count;
    }
    @Column(name = "overdue_time")
    public Date getOverdue_time() {
        return overdue_time;
    }

    public void setOverdue_time(Date overdue_time) {
        this.overdue_time = overdue_time;
    }
    @Column(name = "recharge_time")
    public Date getRecharge_time() {
        return recharge_time;
    }

    public void setRecharge_time(Date recharge_time) {
        this.recharge_time = recharge_time;
    }
    @Column(name = "create_time")
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }
    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    @Override
    public String toString() {
        return "CouponRechargeJlrPO{" +
                "id=" + id +
                ", order_id=" + order_id +
                ", task_order_id=" + task_order_id +
                ", vin_code='" + vin_code + '\'' +
                ", seate_name='" + seate_name + '\'' +
                ", remark='" + remark + '\'' +
                ", service_name='" + service_name + '\'' +
                ", electronic_accounts='" + electronic_accounts + '\'' +
                ", recharge_count=" + recharge_count +
                ", consume_count=" + consume_count +
                ", overdue_time=" + overdue_time +
                ", recharge_time=" + recharge_time +
                ", create_time=" + create_time +
                ", update_time=" + update_time +
                '}';
    }
}
